/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package gestor.datos;

import gestor.utiles.Global;
import java.sql.Timestamp;

public final class RegistroCandidatosServidor {

   private int Id = 0;
   private String Nif = " ";
   private String Nombre = " ";
   private Timestamp HoraCita;
   private String Estado = " ";
   private Timestamp HoraCalculada;
   private Timestamp HoraAtendido;
   private Timestamp HoraPresente;
   private Timestamp HoraCalculada2;
   private String Turno = " ";
   private int CitaMultiple = 1;
   private String NumeroTicket = " ";
   private String Cola = " ";
   private String Operador = " ";
   private Timestamp HoraFinalizado;
   private String CodigoEstadistico = " ";
   private String CitaVinculada = " ";
   private String CodigoGestor = " ";
   private String Niu = " ";
   private String Mesa = " ";

   public RegistroCandidatosServidor(String datos) {
      String[] c = Global.split(datos, '|');
      setId(Integer.parseInt(c[0]));
      setNif(c[1]);
      setNombre(c[2]);
      setHoraCita(Global.nzt(c[3]));
      setEstado(c[4]);
      setHoraCalculada(Global.nzt(c[5]));
      setHoraAtendido(Global.nzt(c[6]));
      setHoraPresente(Global.nzt(c[7]));
      setHoraCalculada2(Global.nzt(c[8]));
      setTurno(c[9]);
      setCitaMultiple(Integer.parseInt(c[10]));
      setNumeroTicket(c[11]);
      setCola(c[12]);
      setOperador(c[13]);
      setHoraFinalizado(Global.nzt(c[14]));
      setCodigoEstadistico(c[15]);
      setCitaVinculada(c[16]);
      setCodigoGestor(c[17]);
      setNiu(c[18]);
      setMesa(c[19]);
   }

   public int getId() {
      return Id;
   }

   public void setId(int Id) {
      this.Id = Id;
   }

   public String getNif() {
      return Nif;
   }

   public void setNif(String Nif) {
      if (Nif == null || Nif.equals("")) {
         this.Nif = " ";
      } else {
         this.Nif = Nif;
      }
   }

   public String getNombre() {
      return Nombre;
   }

   public void setNombre(String Nombre) {
      if (Nombre == null || Nombre.equals("")) {
         this.Nombre = " ";
      } else {
         this.Nombre = Nombre;
      }
   }

   public Timestamp getHoraCita() {
      return HoraCita;
   }

   public void setHoraCita(Timestamp HoraCita) {
      this.HoraCita = HoraCita;
   }

   public String getEstado() {
      return Estado;
   }

   public void setEstado(String Estado) {
      if (Estado == null || Estado.equals("")) {
         this.Estado = " ";
      } else {
         this.Estado = Estado;
      }
   }

   public Timestamp getHoraCalculada() {
      return HoraCalculada;
   }

   public void setHoraCalculada(Timestamp HoraCalculada) {
      this.HoraCalculada = HoraCalculada;
   }

   public Timestamp getHoraAtendido() {
      return HoraAtendido;
   }

   public void setHoraAtendido(Timestamp HoraAtendido) {
      this.HoraAtendido = HoraAtendido;
   }

   public Timestamp getHoraPresente() {
      return HoraPresente;
   }

   public void setHoraPresente(Timestamp HoraPresente) {
      this.HoraPresente = HoraPresente;
   }

   public Timestamp getHoraCalculada2() {
      return HoraCalculada2;
   }

   public void setHoraCalculada2(Timestamp HoraCalculada2) {
      this.HoraCalculada2 = HoraCalculada2;
   }

   public String getTurno() {
      return Turno;
   }

   public void setTurno(String Turno) {
      if (Turno == null || Turno.equals("")) {
         this.Turno = " ";
      } else {
         this.Turno = Turno;
      }
   }

   public int getCitaMultiple() {
      return CitaMultiple;
   }

   public void setCitaMultiple(int CitaMultiple) {
      this.CitaMultiple = CitaMultiple;
   }

   public String getNumeroTicket() {
      return NumeroTicket;
   }

   public void setNumeroTicket(String NumeroTicket) {
      if (NumeroTicket == null || NumeroTicket.equals("")) {
         this.NumeroTicket = " ";
      } else {
         this.NumeroTicket = NumeroTicket;
      }
   }

   public String getCola() {
      return Cola;
   }

   public void setCola(String Cola) {
      if (Cola == null || Cola.equals("")) {
         this.Cola = " ";
      } else {
         this.Cola = Cola;
      }
   }

   public String getOperador() {
      return Operador;
   }

   public void setOperador(String Operador) {
      if (Operador == null || Operador.equals("")) {
         this.Operador = " ";
      } else {
         this.Operador = Operador;
      }
   }

   public Timestamp getHoraFinalizado() {
      return HoraFinalizado;
   }

   public void setHoraFinalizado(Timestamp HoraFinalizado) {
      this.HoraFinalizado = HoraFinalizado;
   }

   public String getCodigoEstadistico() {
      return CodigoEstadistico;
   }

   public void setCodigoEstadistico(String CodigoEstadistico) {
      if (CodigoEstadistico == null || CodigoEstadistico.equals("")) {
         this.CodigoEstadistico = " ";
      } else {
         this.CodigoEstadistico = CodigoEstadistico;
      }
   }

   public String getCitaVinculada() {
      return CitaVinculada;
   }

   public void setCitaVinculada(String CitaVinculada) {
      if (CitaVinculada == null || CitaVinculada.equals("")) {
         this.CitaVinculada = " ";
      } else {
         this.CitaVinculada = CitaVinculada;
      }
   }

//   public String getIndicadores() {
//      return Indicadores;
//   }
//
//   public void setIndicadores(String Indicadores) {
//      if (Indicadores == null || Indicadores.equals("")) {
//         this.Indicadores = " ";
//      } else {
//         this.Indicadores = Indicadores;
//      }
//   }

   public String getCodigoGestor() {
      return CodigoGestor;
   }

   public void setCodigoGestor(String CodigoGestor) {
      if (CodigoGestor == null || CodigoGestor.equals("")) {
         this.CodigoGestor = " ";
      } else {
         this.CodigoGestor = CodigoGestor;
      }
   }

//   public int getImpresas() {
//      return Impresas;
//   }
//
//   public void setImpresas(int Impresas) {
//      this.Impresas = Impresas;
//   }
//
//   public int getIntranet() {
//      return Intranet;
//   }
//
//   public void setIntranet(int Intranet) {
//      this.Intranet = Intranet;
//   }
//
//   public int getNumRentas() {
//      return NumRentas;
//   }
//
//   public void setNumRentas(int NumRentas) {
//      this.NumRentas = NumRentas;
//   }
//
//   public int getNumBorradoresConfirmados() {
//      return NumBorradoresConfirmados;
//   }
//
//   public void setNumBorradoresConfirmados(int NumBorradoresConfirmados) {
//      this.NumBorradoresConfirmados = NumBorradoresConfirmados;
//   }
//
//   public int getNumBorradoresRectificados() {
//      return NumBorradoresRectificados;
//   }
//
//   public void setNumBorradoresRectificados(int NumBorradoresRectificados) {
//      this.NumBorradoresRectificados = NumBorradoresRectificados;
//   }

   public String getNiu() {
      return Niu;
   }

   public void setNiu(String Niu) {
      if (Niu == null || Niu.equals("")) {
         this.Niu = " ";
      } else {
         this.Niu = Niu;
      }
   }

   public String getMesa() {
      return Mesa;
   }

   public void setMesa(String mesa) {
      if (mesa == null || mesa.length() == 0) {
         Mesa = " ";
      } else {
         Mesa = mesa;
      }
   }

   //</editor-fold>
}
